Skip Menu |
 

This queue is for tickets about the DBI CPAN distribution.

Report information
The Basics
Id: 85168
Status: patched
Priority: 0/
Queue: DBI

People
Owner: HMBRAND [...] cpan.org
Requestors: craig [...] constantine.name
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 1.611_91
Fixed in: (no value)



Subject: make fails under Perl 5.10.1
Download (untitled) / with headers
text/plain 1.7k
$ perl -v This is perl, v5.10.1 (*) built for x86_64-linux-gnu-thread-multi Test Summary Report ------------------- t/pod.t (Wstat: 768 Tests: 57 Failed: 3) Failed tests: 26, 28, 45 Non-zero exit status: 3 Files=182, Tests=8530, 57 wallclock secs ( 1.31 usr 0.25 sys + 50.03 cusr 5.43 csys = 57.02 CPU) Result: FAIL Failed 1/182 test programs. 3/8530 subtests failed. make: *** [test_dynamic] Error 255 TIMB/DBI-1.625.tar.gz /usr/bin/make test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports TIMB/DBI-1.625.tar.gz Running make install make test had returned bad status, won't install without force Failed during this command: TIMB/DBI-1.625.tar.gz : make_test NO And the output from the tests during the run is... t/pod.t ......................... 16/57 # Failed test 'POD test for blib/lib/DBI/DBD/SqlEngine.pm' # at /home/bbx/localperl/lib/site_perl/5.10.1/Test/Pod.pm line 186. # blib/lib/DBI/DBD/SqlEngine.pm (2085): alternative text 'DBD::File/DBD::File::Table' contains non-escaped | or / # Failed test 'POD test for blib/lib/DBI/DBD/SqlEngine/Developers.pod' # at /home/bbx/localperl/lib/site_perl/5.10.1/Test/Pod.pm line 186. # blib/lib/DBI/DBD/SqlEngine/Developers.pod (714): alternative text 'DBD::File/DBD::File::Table' contains non-escaped | or / # blib/lib/DBI/DBD/SqlEngine/Developers.pod (759): alternative text '/DBI::DBD::SqlEngine::DataSource' contains non-escaped | or / # Failed test 'POD test for blib/lib/DBD/DBM.pm' # at /home/bbx/localperl/lib/site_perl/5.10.1/Test/Pod.pm line 186. # blib/lib/DBD/DBM.pm (652): alternative text 'DBD::File/Metadata' contains non-escaped | or / # Looks like you failed 3 tests of 57. t/pod.t ......................... Dubious, test returned 3 (wstat 768, 0x300)
Download (untitled) / with headers
text/plain 663b
You should probably check and show some of your installed module versions, because of: sno$ pwd /data/Projects/OSS/dbi sno$ perl -Mblib t/pod.t 1..69 ok 1 - POD test for blib/lib/DBI.pm [...] ok 6 - POD test for blib/lib/DBD/DBM.pm [...] ok 42 - POD test for blib/lib/DBI/DBD/SqlEngine.pm ok 43 - POD test for blib/lib/DBI/DBD/SqlEngine/Developers.pod ok 44 - POD test for blib/lib/DBI/DBD/SqlEngine/HowTo.pod [...] ok 69 - POD test for blib/script/dbiproxy sno$ echo $? 0 sno$ perl -MTest::Pod -le 'print Test::Pod->VERSION' 1.48 Which version do you have? Perl5.10 comes with completely rewritten Pod::Simple - maybe that occures the issue ... Cheers, Jens
From: craig [...] constantine.name
Download (untitled) / with headers
text/plain 2.1k
On Fri May 10 02:40:11 2013, REHSACK wrote: Show quoted text
> sno$ perl -MTest::Pod -le 'print Test::Pod->VERSION' > 1.48 > > Which version do you have? > > Perl5.10 comes with completely rewritten Pod::Simple - maybe that > occures the issue ...
I have the latest Test::Pod. bbx@USNCPDBKBX1v:~/localperl$ pwd /home/bbx/localperl bbx@USNCPDBKBX1v:~/localperl$ ./bin/perl -MTest::Pod -le 'print Test::Pod->VERSION' 1.48 bbx@USNCPDBKBX1v:~/localperl$ ./bin/cpan cpan shell -- CPAN exploration and modules installation (v2.00) Enter 'h' for help. cpan[1]> i Test::Pod CPAN: Storable loaded ok (v2.39) Reading '/home/bbx/.cpan/Metadata' Database was generated on Thu, 09 May 2013 19:53:02 GMT Module id = Test::Pod DESCRIPTION Tests POD files for correctness CPAN_USERID DWHEELER (David E. Wheeler <david@justatheory.com>) CPAN_VERSION 1.48 CPAN_FILE D/DW/DWHEELER/Test-Pod-1.48.tar.gz UPLOAD_DATE 2013-05-06 DSLIP_STATUS RdpOp (released,developer,perl,object-oriented,Standard-Perl) MANPAGE Test::Pod - check for POD errors in files INST_FILE /home/bbx/localperl/lib/site_perl/5.10.1/Test/Pod.pm INST_VERSION 1.48 Here are the only modules CPAN (r)ecommends updating.... cpan[2]> r Package namespace installed latest in CPAN file LWP::Protocol::https undef 6.04 GAAS/LWP-Protocol-https-6.04.tar.gz Math::BigRat 0.2602 0.2603 PJACKLAM/Math-BigRat-0.2602.tar.gz Term::Cap 1.12 1.13 JSTOWE/Term-Cap-1.12.tar.gz AnyDBM_File 1.00 1.01 FLORA/perl-5.17.4.tar.bz2 CPAN: Module::CoreList loaded ok (v2.88) Cwd 3.30 3.40 SMUELLER/PathTools-3.40.tar.gz DynaLoader 1.10 1.15 NWCLARK/perl-5.8.6.tar.gz I18N::Langinfo 0.02 0.07 JESSE/perl-5.13.9.tar.gz JSON::PP::Boolean undef 2.27202 MAKAMAKA/JSON-PP-2.27202.tar.gz PerlIO::scalar 0.07 0.12 RJBS/perl-5.15.2.tar.bz2 Pod::Functions 1.03 1.04 FLORA/perl-5.15.4.tar.gz 72 installed modules have no parsable version number (use 'o conf show_unparsable_versions 1' to show them)
Subject: Re: [rt.cpan.org #85168] make fails under Perl 5.10.1
Date: Fri, 10 May 2013 13:37:40 +0200
To: bug-DBI [...] rt.cpan.org
From: "H.Merijn Brand" <h.m.brand [...] xs4all.nl>
Download (untitled) / with headers
text/plain 11.5k
On Fri, 10 May 2013 06:48:52 -0400, "craig@constantine.name via RT" <bug-DBI@rt.cpan.org> wrote: Show quoted text
> Queue: DBI > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=85168 > > > On Fri May 10 02:40:11 2013, REHSACK wrote: >
> > sno$ perl -MTest::Pod -le 'print Test::Pod->VERSION' > > 1.48 > > > > Which version do you have? > > > > Perl5.10 comes with completely rewritten Pod::Simple - maybe that > > occures the issue ...
> > I have the latest Test::Pod.
Pod::Simple version is most likely more important. 5.10.1 comes with 3.07: $ corelist -a Pod::Simple | head Data for 2013-04-20 Pod::Simple was first released with perl v5.9.3 v5.9.3 3.04 v5.9.4 3.04 v5.9.5 3.05 v5.10.0 3.05 v5.10.1 3.07 v5.11.0 3.07 v5.11.1 3.08 Show quoted text
> bbx@USNCPDBKBX1v:~/localperl$ pwd > /home/bbx/localperl > > bbx@USNCPDBKBX1v:~/localperl$ ./bin/perl -MTest::Pod -le 'print Test::Pod->VERSION' > 1.48 > > bbx@USNCPDBKBX1v:~/localperl$ ./bin/cpan > > cpan shell -- CPAN exploration and modules installation (v2.00) > Enter 'h' for help. > > cpan[1]> i Test::Pod > CPAN: Storable loaded ok (v2.39) > Reading '/home/bbx/.cpan/Metadata' > Database was generated on Thu, 09 May 2013 19:53:02 GMT > Module id = Test::Pod > DESCRIPTION Tests POD files for correctness > CPAN_USERID DWHEELER (David E. Wheeler <david@justatheory.com>) > CPAN_VERSION 1.48 > CPAN_FILE D/DW/DWHEELER/Test-Pod-1.48.tar.gz > UPLOAD_DATE 2013-05-06 > DSLIP_STATUS RdpOp (released,developer,perl,object-oriented,Standard-Perl) > MANPAGE Test::Pod - check for POD errors in files > INST_FILE /home/bbx/localperl/lib/site_perl/5.10.1/Test/Pod.pm > INST_VERSION 1.48 > > Here are the only modules CPAN (r)ecommends updating.... > > cpan[2]> r > > Package namespace installed latest in CPAN file > LWP::Protocol::https undef 6.04 GAAS/LWP-Protocol-https-6.04.tar.gz > Math::BigRat 0.2602 0.2603 PJACKLAM/Math-BigRat-0.2602.tar.gz > Term::Cap 1.12 1.13 JSTOWE/Term-Cap-1.12.tar.gz > AnyDBM_File 1.00 1.01 FLORA/perl-5.17.4.tar.bz2 > CPAN: Module::CoreList loaded ok (v2.88) > Cwd 3.30 3.40 SMUELLER/PathTools-3.40.tar.gz > DynaLoader 1.10 1.15 NWCLARK/perl-5.8.6.tar.gz > I18N::Langinfo 0.02 0.07 JESSE/perl-5.13.9.tar.gz > JSON::PP::Boolean undef 2.27202 MAKAMAKA/JSON-PP-2.27202.tar.gz > PerlIO::scalar 0.07 0.12 RJBS/perl-5.15.2.tar.bz2 > Pod::Functions 1.03 1.04 FLORA/perl-5.15.4.tar.gz > 72 installed modules have no parsable version number > (use 'o conf show_unparsable_versions 1' to show them)
Trying 5.10.1 on most recent DBI … .cpan/build/DBI-1.625-2SIKtk 504 > perl5.10.1 Makefile.PL *** Your LANG environment variable is set to 'en_US.UTF-8' *** This may cause problems for some perl installations. *** If you get test failures, please try again with LANG unset. *** If that then works, please email dbi-dev@perl.org with details *** including the output of 'perl -V' Your perl was compiled with gcc (version 4.5.1 20101208 [gcc-4_5-branch revision 167585]), okay. Creating test wrappers for DBD::Gofer: t/zvg_01basics.t t/zvg_02dbidrv.t : t/zvxgnp_52dbm_complex.t t/zvxgnp_85gofer.t Checking if your kit is complete... Looks good I see you're using perl 5.010001 on i686-linux-64int, okay. Remember to actually *read* the README file! Use 'make' to build the software (dmake or nmake on Windows). Then 'make test' to execute self tests. Then 'make install' to install the DBI and then delete this working directory before unpacking and building any DBD::* drivers. Writing Makefile for DBI Writing MYMETA.yml and MYMETA.json .cpan/build/DBI-1.625-2SIKtk 505 > make /media/Tux/perls/bin/perl5.10.1 -MExtUtils::Command -e 'mkpath' -- blib/lib/DBI rm -f blib/lib/DBI/Changes.pm cp Changes blib/lib/DBI/Changes.pm cp Driver_xst.h blib/arch/auto/DBI/Driver_xst.h : Manifying blib/man3/DBI::DBD::SqlEngine.3 Manifying blib/man3/DBI::PurePerl.3 Manifying blib/man3/DBI::ProfileData.3 .cpan/build/DBI-1.625-2SIKtk 506 > make test PERL_DL_NONLAZY=1 /media/Tux/perls/bin/perl5.10.1 "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/01basics.t .................... ok t/02dbidrv.t .................... ok t/03handle.t .................... ok : t/pod-coverage.t ................ skipped: Test::Pod::Coverage 1.04 required for testing POD coverage t/pod.t ......................... skipped: Test::Pod 1.00 required for testing POD : All tests successful. Files=182, Tests=8511, 73 wallclock secs ( 1.56 usr 0.28 sys + 56.51 cusr 5.29 csys = 63.64 CPU) Result: PASS PERL_DL_NONLAZY=1 /media/Tux/perls/bin/perl5.10.1 "-Iblib/lib" "-Iblib/arch" test.pl test.pl DBI test application $Revision: 12537 $ Switch: DBI 1.625 by Tim Bunce, 1.625 Available Drivers: DBM, ExampleP, File, Gofer, Proxy, SQLite, Sponge dbi:ExampleP:: testing 3 sets of 20 connections: Connecting... 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 Disconnecting... Connecting... 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 Disconnecting... Connecting... 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 Disconnecting... connect 20 and disconnect them, 3 times: 0.0020s / 60 = 0.0000s Testing handle creation speed... 86956 NullP sth/s perl 5.010001 i686-linux-64int (gcc 4.5.1 -O2) 0.000012s test.pl done .cpan/build/DBI-1.625-2SIKtk 507 > So I need Test::Pod. OK, I'll add Test::Pod 1.48. t/pod-coverage.t ................ skipped: Test::Pod::Coverage 1.04 required for testing POD coverage t/pod.t ......................... ok So maybe you have a conflict with old(er) modules from previous perl versions? .cpan/build/DBI-1.625-2SIKtk 520 > perl5.10.1 -d:TraceUse -MTest::Pod -we'all_pod_files_ok()' 1..57 ok 1 - POD test for blib/lib/dbixs_rev.pl (no pod) ok 2 - POD test for blib/lib/DBI.pm ok 3 - POD test for blib/lib/DBD/Gofer.pm ok 4 - POD test for blib/lib/DBD/ExampleP.pm (no pod) ok 5 - POD test for blib/lib/DBD/Proxy.pm ok 6 - POD test for blib/lib/DBD/Sponge.pm ok 7 - POD test for blib/lib/DBD/NullP.pm (no pod) ok 8 - POD test for blib/lib/DBD/File.pm ok 9 - POD test for blib/lib/DBD/DBM.pm ok 10 - POD test for blib/lib/DBD/Gofer/Policy/classic.pm ok 11 - POD test for blib/lib/DBD/Gofer/Policy/pedantic.pm ok 12 - POD test for blib/lib/DBD/Gofer/Policy/rush.pm ok 13 - POD test for blib/lib/DBD/Gofer/Policy/Base.pm ok 14 - POD test for blib/lib/DBD/Gofer/Transport/stream.pm ok 15 - POD test for blib/lib/DBD/Gofer/Transport/corostream.pm ok 16 - POD test for blib/lib/DBD/Gofer/Transport/null.pm ok 17 - POD test for blib/lib/DBD/Gofer/Transport/pipeone.pm ok 18 - POD test for blib/lib/DBD/Gofer/Transport/Base.pm ok 19 - POD test for blib/lib/DBD/File/Developers.pod ok 20 - POD test for blib/lib/DBD/File/HowTo.pod ok 21 - POD test for blib/lib/DBD/File/Roadmap.pod ok 22 - POD test for blib/lib/DBI/DBD.pm ok 23 - POD test for blib/lib/DBI/ProfileData.pm ok 24 - POD test for blib/lib/DBI/FAQ.pm ok 25 - POD test for blib/lib/DBI/PurePerl.pm ok 26 - POD test for blib/lib/DBI/ProfileSubs.pm ok 27 - POD test for blib/lib/DBI/Profile.pm ok 28 - POD test for blib/lib/DBI/Changes.pm ok 29 - POD test for blib/lib/DBI/W32ODBC.pm ok 30 - POD test for blib/lib/DBI/ProfileDumper.pm ok 31 - POD test for blib/lib/DBI/ProxyServer.pm ok 32 - POD test for blib/lib/DBI/SQL/Nano.pm ok 33 - POD test for blib/lib/DBI/DBD/SqlEngine.pm ok 34 - POD test for blib/lib/DBI/DBD/Metadata.pm ok 35 - POD test for blib/lib/DBI/DBD/SqlEngine/Developers.pod ok 36 - POD test for blib/lib/DBI/DBD/SqlEngine/HowTo.pod ok 37 - POD test for blib/lib/DBI/Gofer/Execute.pm ok 38 - POD test for blib/lib/DBI/Gofer/Response.pm ok 39 - POD test for blib/lib/DBI/Gofer/Request.pm ok 40 - POD test for blib/lib/DBI/Gofer/Serializer/Storable.pm ok 41 - POD test for blib/lib/DBI/Gofer/Serializer/DataDumper.pm ok 42 - POD test for blib/lib/DBI/Gofer/Serializer/Base.pm ok 43 - POD test for blib/lib/DBI/Gofer/Transport/stream.pm ok 44 - POD test for blib/lib/DBI/Gofer/Transport/pipeone.pm ok 45 - POD test for blib/lib/DBI/Gofer/Transport/Base.pm ok 46 - POD test for blib/lib/DBI/ProfileDumper/Apache.pm ok 47 - POD test for blib/lib/DBI/Util/CacheMemory.pm ok 48 - POD test for blib/lib/DBI/Util/_accessor.pm (no pod) ok 49 - POD test for blib/lib/DBI/Const/GetInfoReturn.pm ok 50 - POD test for blib/lib/DBI/Const/GetInfoType.pm ok 51 - POD test for blib/lib/DBI/Const/GetInfo/ANSI.pm ok 52 - POD test for blib/lib/DBI/Const/GetInfo/ODBC.pm ok 53 - POD test for blib/lib/Win32/DBIODBC.pm ok 54 - POD test for blib/lib/Bundle/DBI.pm ok 55 - POD test for blib/script/dbiprof ok 56 - POD test for blib/script/dbilogstrip ok 57 - POD test for blib/script/dbiproxy Modules used from -e: 1. Test::Pod 1.48, -e line 0 [main] 2. strict 1.04, Test/Pod.pm line 3 3. Test::Builder 0.98, Test/Pod.pm line 66 4. warnings 1.06, Test/Builder.pm line 5 5. Config, Test/Builder.pm line 19 6. PerlIO 1.06, Test/Builder.pm line 1902 7. Pod::Simple 3.07, Test/Pod.pm line 67 8. Carp 1.11, Pod/Simple.pm line 5 9. Exporter 5.63, Carp.pm line 14 10. integer 1.00, Pod/Simple.pm line 7 11. Pod::Escapes 1.04, Pod/Simple.pm line 8 12. vars 1.01, Pod/Escapes.pm line 32 13. warnings::register 1.01, vars.pm line 7 14. Pod::Simple::LinkSection, Pod/Simple.pm line 9 15. Pod::Simple::BlackBox, Pod/Simple/LinkSection.pm line 7 16. UNIVERSAL 1.05, Pod/Simple/BlackBox.pm line 1804 29. Pod::Simple::Transcode, Pod/Simple/BlackBox.pm line 276 30. Pod::Simple::TranscodeSmart, Pod/Simple/Transcode.pm line 18 (eval 8) 31. Encode 2.47, Pod/Simple/TranscodeSmart.pm line 10 32. constant 1.17, Encode.pm line 8 33. base 2.14, Encode.pm line 13 34. Encode::Alias 2.16, Encode.pm line 48 35. bytes 1.03, Encode.pm line 324 [Encode::utf8] 36. Encode::Config 2.05, Encode.pm line 53 37. Encode::ConfigLocal, Encode.pm line 60 (FAILED) 38. Encode::Encoding 2.05, Encode.pm line 240 39. utf8 1.07, Pod/Simple/BlackBox.pm line 178 [main] 40. utf8_heavy.pl, utf8.pm line 17 41. unicore/PVA.pl, utf8_heavy.pl line 97 [utf8] 42. unicore/Exact.pl, utf8_heavy.pl line 125 [utf8] 43. unicore/lib/gc_sc/SpacePer.pl, utf8_heavy.pl line 198 [utf8] 44. unicore/lib/gc_sc/Digit.pl, utf8_heavy.pl line 198 [utf8] 45. unicore/lib/gc_sc/Word.pl, utf8_heavy.pl line 198 [utf8] 17. overload 1.07, Pod/Simple/LinkSection.pm line 15 27. Pod::Simple::TiedOutFH, Pod/Simple.pm line 143 28. Symbol 1.07, Pod/Simple/TiedOutFH.pm line 4 18. File::Find 1.14, Test/Pod.pm line 217 19. Cwd 3.3, File/Find.pm line 8 20. XSLoader 0.10, Cwd.pm line 247 21. File::Basename 2.77, File/Find.pm line 428 22. re 0.09, File/Basename.pm line 44 23. File::Spec 3.3, File/Find.pm line 429 24. File::Spec::Unix 3.3, File/Spec.pm line 22 25. Scalar::Util 1.21, File/Find.pm line 1345 26. List::Util 1.21, Scalar/Util.pm line 12 Possible proxies: 3 utf8_heavy.pl line 198, sub utf8::SWASHNEW All passed. -- H.Merijn Brand http://tux.nl Perl Monger http://amsterdam.pm.org/ using perl5.00307 .. 5.17 porting perl5 on HP-UX, AIX, and openSUSE http://mirrors.develooper.com/hpux/ http://www.test-smoke.org/ http://qa.perl.org http://www.goldmark.org/jeff/stupid-disclaimers/
From: craig [...] constantine.name
Download (untitled) / with headers
text/plain 1.2k
On Fri May 10 07:38:06 2013, h.m.brand@xs4all.nl wrote: Show quoted text
> Pod::Simple version is most likely more important. > 5.10.1 comes with 3.07: > > $ corelist -a Pod::Simple | head > > Data for 2013-04-20 > Pod::Simple was first released with perl v5.9.3 > v5.9.3 3.04 > v5.9.4 3.04 > v5.9.5 3.05 > v5.10.0 3.05 > v5.10.1 3.07 > v5.11.0 3.07 > v5.11.1 3.08
cpan[1]> upgrade Pod::Simple CPAN: Storable loaded ok (v2.39) Reading '/home/bbx/.cpan/Metadata' Database was generated on Thu, 09 May 2013 19:53:02 GMT All modules are up to date for Pod::Simple cpan[2]> i Pod::Simple Module id = Pod::Simple DESCRIPTION the framework for parsing Pod CPAN_USERID ARANDAL (Allison Randal <allison@perl.org>) CPAN_VERSION 3.28 CPAN_FILE D/DW/DWHEELER/Pod-Simple-3.28.tar.gz UPLOAD_DATE 2013-05-05 DSLIP_STATUS bdpOp (beta,developer,perl,object-oriented,Standard-Perl) MANPAGE Pod::Simple - framework for parsing Pod INST_FILE /home/bbx/localperl/lib/site_perl/5.10.1/Pod/Simple.pm INST_VERSION 3.28 ...do the inner workings of the tests (in my original message) that failed offer any hints as to what might be wrong? That'll be where I start today; digging in the test code -- that's something I'm not well versed in.
Subject: Re: [rt.cpan.org #85168] make fails under Perl 5.10.1
Date: Fri, 10 May 2013 14:24:17 +0200
To: bug-DBI [...] rt.cpan.org
From: "H.Merijn Brand" <h.m.brand [...] xs4all.nl>
Download (untitled) / with headers
text/plain 7.8k
On Fri, 10 May 2013 08:00:00 -0400, "craig@constantine.name via RT" <bug-DBI@rt.cpan.org> wrote: Show quoted text
> Queue: DBI > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=85168 > > > On Fri May 10 07:38:06 2013, h.m.brand@xs4all.nl wrote: >
> > Pod::Simple version is most likely more important. > > 5.10.1 comes with 3.07: > > > > $ corelist -a Pod::Simple | head > > > > Data for 2013-04-20 > > Pod::Simple was first released with perl v5.9.3 > > v5.9.3 3.04 > > v5.9.4 3.04 > > v5.9.5 3.05 > > v5.10.0 3.05 > > v5.10.1 3.07 > > v5.11.0 3.07 > > v5.11.1 3.08
> > cpan[1]> upgrade Pod::Simple > CPAN: Storable loaded ok (v2.39) > Reading '/home/bbx/.cpan/Metadata' > Database was generated on Thu, 09 May 2013 19:53:02 GMT > All modules are up to date for Pod::Simple > > cpan[2]> i Pod::Simple > Module id = Pod::Simple > DESCRIPTION the framework for parsing Pod > CPAN_USERID ARANDAL (Allison Randal <allison@perl.org>) > CPAN_VERSION 3.28 > CPAN_FILE D/DW/DWHEELER/Pod-Simple-3.28.tar.gz > UPLOAD_DATE 2013-05-05 > DSLIP_STATUS bdpOp (beta,developer,perl,object-oriented,Standard-Perl) > MANPAGE Pod::Simple - framework for parsing Pod > INST_FILE /home/bbx/localperl/lib/site_perl/5.10.1/Pod/Simple.pm > INST_VERSION 3.28 > > ...do the inner workings of the tests (in my original message) that failed offer any hints as to what might be wrong? > > That'll be where I start today; digging in the test code -- that's something I'm not well versed in.
Well, there is your problem, and now maybe also ours: The link in --<8--- and other variations on connect() as shown in the L<DBI> docs, L<DBD::File/Metadata|DBD::File metadata> and L</Metadata> shown below. -->8--- seems to be broken on / instead of |, so the alternate text then contains a |. With perl-5.16.3 + Pod::Simple-3.28 .cpan/build/DBI-1.625-yRVAu3 551 > perl -d:TraceUse -MTest::Pod -we'all_pod_files_ok()' 1..51 ok 1 - POD test for lib/DBD/Gofer.pm ok 2 - POD test for lib/DBD/ExampleP.pm (no pod) ok 3 - POD test for lib/DBD/Proxy.pm ok 4 - POD test for lib/DBD/Sponge.pm ok 5 - POD test for lib/DBD/NullP.pm (no pod) ok 6 - POD test for lib/DBD/File.pm not ok 7 - POD test for lib/DBD/DBM.pm # Failed test 'POD test for lib/DBD/DBM.pm' # at /pro/lib/perl5/site_perl/5.16.3/Test/Pod.pm line 186. # lib/DBD/DBM.pm (652): alternative text 'DBD::File/Metadata' contains non-escaped | or / ok 8 - POD test for lib/DBD/Gofer/Policy/classic.pm ok 9 - POD test for lib/DBD/Gofer/Policy/pedantic.pm ok 10 - POD test for lib/DBD/Gofer/Policy/rush.pm ok 11 - POD test for lib/DBD/Gofer/Policy/Base.pm ok 12 - POD test for lib/DBD/Gofer/Transport/stream.pm ok 13 - POD test for lib/DBD/Gofer/Transport/corostream.pm ok 14 - POD test for lib/DBD/Gofer/Transport/null.pm ok 15 - POD test for lib/DBD/Gofer/Transport/pipeone.pm ok 16 - POD test for lib/DBD/Gofer/Transport/Base.pm ok 17 - POD test for lib/DBD/File/Developers.pod ok 18 - POD test for lib/DBD/File/HowTo.pod ok 19 - POD test for lib/DBD/File/Roadmap.pod ok 20 - POD test for lib/DBI/DBD.pm ok 21 - POD test for lib/DBI/ProfileData.pm ok 22 - POD test for lib/DBI/FAQ.pm ok 23 - POD test for lib/DBI/PurePerl.pm ok 24 - POD test for lib/DBI/ProfileSubs.pm ok 25 - POD test for lib/DBI/Profile.pm ok 26 - POD test for lib/DBI/W32ODBC.pm ok 27 - POD test for lib/DBI/ProfileDumper.pm ok 28 - POD test for lib/DBI/ProxyServer.pm ok 29 - POD test for lib/DBI/SQL/Nano.pm not ok 30 - POD test for lib/DBI/DBD/SqlEngine.pm # Failed test 'POD test for lib/DBI/DBD/SqlEngine.pm' # at /pro/lib/perl5/site_perl/5.16.3/Test/Pod.pm line 186. # lib/DBI/DBD/SqlEngine.pm (2085): alternative text 'DBD::File/DBD::File::Table' contains non-escaped | or / ok 31 - POD test for lib/DBI/DBD/Metadata.pm not ok 32 - POD test for lib/DBI/DBD/SqlEngine/Developers.pod # Failed test 'POD test for lib/DBI/DBD/SqlEngine/Developers.pod' # at /pro/lib/perl5/site_perl/5.16.3/Test/Pod.pm line 186. # lib/DBI/DBD/SqlEngine/Developers.pod (714): alternative text 'DBD::File/DBD::File::Table' contains non-escaped | or / # lib/DBI/DBD/SqlEngine/Developers.pod (759): alternative text '/DBI::DBD::SqlEngine::DataSource' contains non-escaped | or / ok 33 - POD test for lib/DBI/DBD/SqlEngine/HowTo.pod ok 34 - POD test for lib/DBI/Gofer/Execute.pm ok 35 - POD test for lib/DBI/Gofer/Response.pm ok 36 - POD test for lib/DBI/Gofer/Request.pm ok 37 - POD test for lib/DBI/Gofer/Serializer/Storable.pm ok 38 - POD test for lib/DBI/Gofer/Serializer/DataDumper.pm ok 39 - POD test for lib/DBI/Gofer/Serializer/Base.pm ok 40 - POD test for lib/DBI/Gofer/Transport/stream.pm ok 41 - POD test for lib/DBI/Gofer/Transport/pipeone.pm ok 42 - POD test for lib/DBI/Gofer/Transport/Base.pm ok 43 - POD test for lib/DBI/ProfileDumper/Apache.pm ok 44 - POD test for lib/DBI/Util/CacheMemory.pm ok 45 - POD test for lib/DBI/Util/_accessor.pm (no pod) ok 46 - POD test for lib/DBI/Const/GetInfoReturn.pm ok 47 - POD test for lib/DBI/Const/GetInfoType.pm ok 48 - POD test for lib/DBI/Const/GetInfo/ANSI.pm ok 49 - POD test for lib/DBI/Const/GetInfo/ODBC.pm ok 50 - POD test for lib/Win32/DBIODBC.pm ok 51 - POD test for lib/Bundle/DBI.pm # Looks like you failed 3 tests of 51. Modules used from -e: 1. Test::Pod 1.48, -e line 0 [main] 2. strict 1.07, Test/Pod.pm line 3 3. Test::Builder 0.98, Test/Pod.pm line 66 4. warnings 1.13, Test/Builder.pm line 5 5. Config, Test/Builder.pm line 19 6. vars 1.02, Config.pm line 11 7. warnings::register 1.02, vars.pm line 7 8. PerlIO 1.07, Test/Builder.pm line 1902 9. Pod::Simple 3.28, Test/Pod.pm line 67 10. Carp 1.26, Pod/Simple.pm line 5 11. Exporter 5.68, Carp.pm line 35 12. integer 1.00, Pod/Simple.pm line 7 13. Pod::Escapes 1.04, Pod/Simple.pm line 8 14. Pod::Simple::LinkSection 3.28, Pod/Simple.pm line 9 15. Pod::Simple::BlackBox 3.28, Pod/Simple/LinkSection.pm line 9 28. Pod::Simple::Transcode 3.28, Pod/Simple/BlackBox.pm line 305 29. Pod::Simple::TranscodeSmart 3.28, Pod/Simple/Transcode.pm line 20 (eval 4) 30. Encode 2.51, Pod/Simple/TranscodeSmart.pm line 10 31. constant 1.27, Encode.pm line 8 32. base 2.18, Encode.pm line 13 33. Encode::Alias 2.16, Encode.pm line 48 34. bytes 1.04, Encode.pm line 325 [Encode::utf8] 35. Encode::Config 2.05, Encode.pm line 53 36. Encode::ConfigLocal, Encode.pm line 60 (FAILED) 37. Encode::Encoding 2.05, Encode.pm line 241 38. utf8 1.09, Pod/Simple/BlackBox.pm line 200 [main] 39. utf8_heavy.pl, utf8.pm line 17 40. unicore/Heavy.pl, utf8_heavy.pl line 176 [utf8] 41. unicore/lib/Perl/SpacePer.pl, utf8_heavy.pl line 518 [utf8] 42. unicore/lib/Perl/Word.pl, utf8_heavy.pl line 518 [utf8] 16. overload 1.18, Pod/Simple/LinkSection.pm line 19 17. overloading 0.02, overload.pm line 85 26. Pod::Simple::TiedOutFH 3.28, Pod/Simple.pm line 179 27. Symbol 1.07, Pod/Simple/TiedOutFH.pm line 4 18. File::Find 1.20, Test/Pod.pm line 217 19. Cwd 3.40, File/Find.pm line 8 20. XSLoader 0.16, Cwd.pm line 247 21. File::Basename 2.84, File/Find.pm line 353 22. File::Spec 3.40, File/Find.pm line 354 23. File::Spec::Unix 3.40, File/Spec.pm line 22 24. Scalar::Util 1.27, File/Find.pm line 1115 25. List::Util 1.27, Scalar/Util.pm line 11 Possible proxies: 2 utf8_heavy.pl line 518, sub utf8::SWASHNEW -- H.Merijn Brand http://tux.nl Perl Monger http://amsterdam.pm.org/ using perl5.00307 .. 5.17 porting perl5 on HP-UX, AIX, and openSUSE http://mirrors.develooper.com/hpux/ http://www.test-smoke.org/ http://qa.perl.org http://www.goldmark.org/jeff/stupid-disclaimers/
From: craig [...] constantine.name
Download (untitled) / with headers
text/plain 216b
I have another system which is, in theory, identical to this one... I'm currently looking at the Perl packages and versions to see if I can figure out why the other system's DBD and DBI::SQLite installed just fine...
Subject: Re: [rt.cpan.org #85168] make fails under Perl 5.10.1
Date: Fri, 10 May 2013 14:50:18 +0200
To: bug-DBI [...] rt.cpan.org
From: "H.Merijn Brand" <h.m.brand [...] xs4all.nl>
Download (untitled) / with headers
text/plain 712b
On Fri, 10 May 2013 08:40:15 -0400, "craig@constantine.name via RT" <bug-DBI@rt.cpan.org> wrote: Show quoted text
> Queue: DBI > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=85168 > > > I have another system which is, in theory, identical to this one... > I'm currently looking at the Perl packages and versions to see if I > can figure out why the other system's DBD and DBI::SQLite installed > just fine...
Fixed in git -- H.Merijn Brand http://tux.nl Perl Monger http://amsterdam.pm.org/ using perl5.00307 .. 5.17 porting perl5 on HP-UX, AIX, and openSUSE http://mirrors.develooper.com/hpux/ http://www.test-smoke.org/ http://qa.perl.org http://www.goldmark.org/jeff/stupid-disclaimers/
From: craig [...] constantine.name
Download (untitled) / with headers
text/plain 347b
The two boxes are running Perl 5.10.1 with Pod::Simple 3.28 and Test::Pod 1.48. The second system has DBI 1.625 and DBD::SQLite (which is what I'm after) 1.37. So it did make, test and install on the second system. I'm comparing system libraries, as well as Perl modules versions/installs to see what else is different between these two systems.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.